Subject: bug#55943: Cannot insert registers in calc

From: Kuba Orlik <[email-masked]>
Date: Mon, 13 Jun 2022 17:31:04 +0200

> Registers in Calc have nothing to do with the normal Emacs-wide
registers

Is it then also a bug that when I press "r i" in Calc and wait for a
second then it suggests me the registers (along with their values) that
I created outside of Calc?

Lars Ingebrigtsen <[email-masked]> writes:

> Kuba Orlik <[email-masked]> writes:
>
>> 1. Run emacs -Q
>> 2. Type the number 20 into the buffer
>> 3. Move the point to the "2" in the "20"
>> 4. Run M-x number-to-register
>> 5. Pick a letter for the register (I picked "a")
>> 6. Run M-x calc
>> 7. Type "r i" and pick the same register
>> 8. It rings a bell and shows "Bad format in register data"
>
> Registers in Calc have nothing to do with the normal Emacs-wide
> registers -- you can only insert with `r i' in Calc stuff you've save
> with `r s' in Calc.  But I see that the doc strings here don't actually
> say this, so I've fixed this for Emacs 28.2.

-- 
Kuba Orlik